Ad Widget

Collapse

Frontend upgrade from 3.0 to 3.4 fails

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

    Frontend upgrade from 3.0 to 3.4 fails

    Hi,
    I upgraded zabbix and zabbix works but the frontend fails.
    I have a pink box with this message:

    Database error
    The frontend does not match Zabbix database. Current database version (mandatory/optional): 3040000/3040006. Required mandatory version: 3000000. Contact your system administrator.

    When upgrading I found this in the log:
    7114:20180129:092754.144 completed 94% of database upgrade
    7114:20180129:092754.156 completed 95% of database upgrade
    7114:20180129:092754.168 completed 96% of database upgrade
    7114:20180129:092754.180 completed 97% of database upgrade
    7114:20180129:092754.197 completed 98% of database upgrade
    7114:20180129:092754.392 completed 99% of database upgrade
    7114:20180129:092754.548 completed 100% of database upgrade
    7114:20180129:092754.548 database upgrade fully completed
    7114:20180129:092754.903 server #0 started [main process]
    7129:20180129:092754.904 server #1 started [configuration syncer #1]
    7130:20180129:092754.904 server #2 started [alerter #1]
    7131:20180129:092754.905 server #3 started [alerter #2]
    7132:20180129:092754.905 server #4 started [alerter #3]

    So the database was upgraded succesfully but still I get the message.

    When I check the log now I have this:
    25346:20180129:105314.595 Starting Zabbix Server. Zabbix 3.4.6 (revision 76823).
    25346:20180129:105314.595 ****** Enabled features ******
    25346:20180129:105314.595 SNMP monitoring: YES
    25346:20180129:105314.595 IPMI monitoring: NO
    25346:20180129:105314.595 Web monitoring: YES
    25346:20180129:105314.595 VMware monitoring: YES
    25346:20180129:105314.595 SMTP authentication: YES
    25346:20180129:105314.595 Jabber notifications: NO
    25346:20180129:105314.595 Ez Texting notifications: YES
    25346:20180129:105314.595 ODBC: NO
    25346:20180129:105314.595 SSH2 support: NO
    25346:20180129:105314.595 IPv6 support: YES
    25346:20180129:105314.595 TLS support: NO
    25346:20180129:105314.595 ******************************
    25346:20180129:105314.595 using configuration file: /usr/local/etc/zabbix_server.conf
    25346:20180129:105314.600 current database version (mandatory/optional): 03040000/03040006
    25346:20180129:105314.600 required mandatory version: 03040000

    25346:20180129:105314.993 server #0 started [main process]
    25348:20180129:105314.994 server #1 started [configuration syncer #1]
    25349:20180129:105314.995 server #2 started [alerter #1]
    25350:20180129:105314.995 server #3 started [alerter #2]
    25351:20180129:105314.995 server #4 started [alerter #3]
    25352:20180129:105314.996 server #5 started [housekeeper #1]
    25353:20180129:105314.996 server #6 started [timer #1]
    25354:20180129:105314.997 server #7 started [http poller #1]
    25355:20180129:105314.997 server #8 started [discoverer #1]
    25356:20180129:105314.998 server #9 started [history syncer #1]
    25357:20180129:105314.998 server #10 started [history syncer #2]
    25358:20180129:105314.999 server #11 started [history syncer #3]
    25359:20180129:105314.999 server #12 started [history syncer #4]
    25360:20180129:105315.000 server #13 started [escalator #1]
    25362:20180129:105315.000 server #14 started [proxy poller #1]
    25363:20180129:105315.001 server #15 started [self-monitoring #1]
    25364:20180129:105315.001 server #16 started [task manager #1]
    25366:20180129:105315.002 server #17 started [poller #1]
    25367:20180129:105315.002 server #18 started [poller #2]
    25368:20180129:105315.003 server #19 started [poller #3]
    25369:20180129:105315.003 server #20 started [poller #4]
    25370:20180129:105315.004 server #21 started [poller #5]
    25371:20180129:105315.004 server #22 started [unreachable poller #1]
    25372:20180129:105315.010 server #23 started [trapper #1]
    25376:20180129:105315.011 server #27 started [trapper #5]
    25373:20180129:105315.015 server #24 started [trapper #2]
    25374:20180129:105315.016 server #25 started [trapper #3]
    25375:20180129:105315.023 server #26 started [trapper #4]
    25378:20180129:105315.023 server #29 started [alert manager #1]
    25377:20180129:105315.023 server #28 started [icmp pinger #1]
    25379:20180129:105315.025 server #30 started [preprocessing manager #1]
    25380:20180129:105316.111 server #31 started [preprocessing worker #1]
    25381:20180129:105316.116 server #32 started [preprocessing worker #2]
    25382:20180129:105316.117 server #33 started [preprocessing worker #3]


    Everything SEEMS ok but it isn't....
    I checked all the config files, everything is/looks ok and as you see there are no other errors.
    Required database version is the same and still I have that error....

    Somebody can help with this or knows more?
    thanks.
    Attached Files
    Last edited by verus; 29-01-2018, 12:17.

    #2
    problem is fixed, I forgot to copy the new frontend directory.
    After I copied the frontend directory, I could start the wizard.
    Now I can login and everything seems ok.
    Last edited by verus; 29-01-2018, 13:05.

    Comment

    Announcement

    Collapse
    No announcement yet.
    Working...
    X